Subject: Re: B20: @arg expansion change problem
From: [email-masked] (Christopher G. Faylor)

27 Nov 1998 02:13:19 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Jan <[email-masked]> wrote:
>Up to beta19, an argument starting with '@'
>always was considered a usual filename.
>Now in beta20, '@arg' is a filename if 'arg'
>isn't a file, or the content of 'arg' if 'arg'
>is a file.
>
>ex:
>	rm a
>	touch @a ->'@a' created
>	rm @a
>	echo e f g > a
>	touch @a ->'e','f','g' created instead of '@a'
>		   this wasn't the case in pre-b20.
>
>As I use make for several dos/windows compilers,
>I need a way to tunnel the '@' through command lines
>without them erroneously getting expanded, should
>the conflicting '@'-less files exist.
>
>Is there a recommended solution for this? Or did I miss
>some environment variable? CYGWIN=  noglob at least didn't
>help, and besides I still want the usual *,? wildcards expanded.

Unfortunately this is a change that was requested by our customers.  The
obvious workaround is to use ./@file .  There is no CYGWIN setting to
control this.
-- 
[email-masked]
http://www.cygnus.com/